building every released version of GCC starting with 4.1.2, with appropriate matching glibc

Jonathan Wakely jwakely.gcc@gmail.com
Fri Apr 7 23:29:00 GMT 2017


On 7 April 2017 at 17:26, Toebs Douglass wrote:
> I'm also not quite sure if the instructions are quite correct - or
> perhaps it is that the options being passed to GCC configure have
> misleading documentation.  For example, the use of "--with-newlib" seems
> most odd, since we're using glibc.

That's explained in the LFS docs:

"Since a working C library is not yet available, this ensures that the
inhibit_libc constant is defined when building libgcc. This prevents
the compiling of any code that requires libc support. "

Basically LFS relies on that configure option to say "not glibc".



More information about the Gcc-help mailing list